<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications of year 2022</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="ICSE22">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Jan</span> <span class="lastname">Haltermann</span></span>,
    <span class="author"><a href="../Author/LEMBERGER-T.html"><span class="firstname">Thomas</span> <span class="lastname">Lemberger</span></a></span>, and
    <span class="author"><span class="firstname">Heike</span> <span class="lastname">Wehrheim</span></span>.</span>
    <span class="publication-title">Decomposing Software Verification into Off-the-Shelf Components: An Application to CEGAR.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 44th International Conference on
        Software Engineering (ICSE 2022, Pittsburgh, PA, USA, May 8-20 (Virtual), May 22-27 (In-Person))</em>,
      <span class="publication-date">  <span class="year">2022</span></span>.
    </span>
    <span class="publisher">ACM.</span>
  </span>
  <a class="bibentry-link" href="#ICSE22"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/INTERFACES-FOR-COMPONENT-BASED-DESIGN.html">Interfaces for Component-Based Design</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-COOP.html">DFG-COOP</a>
      </span>
    </span>
    <span class="link-list">
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2022-ICSE.Decomposing_Software_Verification_into_Off-the-Shelf-Components.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/component-based-cegar/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="artifact-list">
      <summary>Artifact(s)</summary>
      <div>
        <ol>
          <li class="artifact"><a href="https://doi.org/10.5281/zenodo.5301636">doi:10.5281/zenodo.5301636</a></li>
        </ol>
      </div>
    </details>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Techniques for software verification are typically realized as cohesive units of software with tightly coupled components.
        This makes it difficult to re-use components, and the potential for workload distribution is limited.
        Innovations in software verification might find their way into practice faster if provided in smaller,
        more specialized components.
        In this paper, we propose to strictly decompose software verification: 
        the verification task is split into independent subtasks, implemented by only loosely coupled components 
        communicating via clearly defined interfaces. 
        We apply this decomposition concept to one of the most frequently employed techniques
        in software verification:
        counterexample-guided abstraction refinement (CEGAR).
        CEGAR is a technique to iteratively compute
        an abstract model of the system.
        We develop a decomposition of CEGAR into independent components
        with clearly defined interfaces that are based on existing, standardized exchange formats.
        Its realization component-based CEGAR (C-CEGAR) concerns the three core tasks of CEGAR:
        abstract-model exploration, feasibility check, and precision refinement.
        We experimentally show that - despite the necessity of exchanging complex data via interfaces -
        the efficiency thereby only reduces by a small constant factor while the precision in solving verification tasks even increases. 
        We furthermore illustrate the advantages of C-CEGAR by experimenting with 
        different implementations of components, thereby further increasing the overall effectiveness
        and testing that substitution of components works well.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ICSE22,
        author = {Dirk Beyer and Jan Haltermann and Thomas Lemberger and Heike Wehrheim},
        title = {Decomposing Software Verification into Off-the-Shelf Components: An Application to {CEGAR}},
        booktitle = {Proceedings of the 44th International Conference on Software Engineering (ICSE~2022, Pittsburgh, PA, USA, May 8-20 (Virtual), May 22-27 (In-Person))},
        year = {2022},
        publisher = {ACM},
        url = {https://www.sosy-lab.org/research/component-based-cegar/},
        pdf = {https://www.sosy-lab.org/research/pub/2022-ICSE.Decomposing_Software_Verification_into_Off-the-Shelf-Components.pdf},
        abstract = {Techniques for software verification are typically realized as cohesive units of software with tightly coupled components. This makes it difficult to re-use components, and the potential for workload distribution is limited. Innovations in software verification might find their way into practice faster if provided in smaller, more specialized components. In this paper, we propose to strictly decompose software verification:  the verification task is split into independent subtasks, implemented by only loosely coupled components  communicating via clearly defined interfaces.  We apply this decomposition concept to one of the most frequently employed techniques in software verification: counterexample-guided abstraction refinement (CEGAR). CEGAR is a technique to iteratively compute an abstract model of the system. We develop a decomposition of CEGAR into independent components with clearly defined interfaces that are based on existing, standardized exchange formats. Its realization component-based CEGAR (C-CEGAR) concerns the three core tasks of CEGAR: abstract-model exploration, feasibility check, and precision refinement. We experimentally show that --- despite the necessity of exchanging complex data via interfaces --- the efficiency thereby only reduces by a small constant factor while the precision in solving verification tasks even increases.  We furthermore illustrate the advantages of C-CEGAR by experimenting with  different implementations of components, thereby further increasing the overall effectiveness and testing that substitution of components works well.},
        keyword = {CPAchecker,Software Model Checking,Interfaces for Component-Based Design},
        artifact = {10.5281/zenodo.5301636},
        doinone = {Unpublished: Last checked: 2022-02-19},
        funding = {DFG-COOP},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>